### Function

# Atspi EventListener register_no_data

#### Declaration [src]

    gboolean
    atspi_event_listener_register_no_data (
      AtspiEventListenerSimpleCB callback,
      GDestroyNotify callback_destroyed,
      const gchar* event_type,
      GError** error
    )

#### Description [src]

Registers an `AtspiEventListenetSimpleCB`. The method is similar to

# atspi_event_listener_register, but `callback` takes no user_data.

This function is not directly available to language bindings.

#### Parameters

`callback`

  Type: `AtspiEventListenerSimpleCB`

  The `AtspiEventListenerSimpleCB` to be registered against an event type.

`callback_destroyed`

  Type: `GDestroyNotify`

  A `GDestroyNotify` called when the callback is destroyed.

`event_type`

  Type: `const gchar*`

  A character string indicating the type of events for which notification is requested. Format is EventClass:major_type:minor_type:detail where all subfields other than EventClass are optional. EventClasses include “object”, “window”, “mouse”, and toolkit events (e.g. “Gtk”, “AWT”). Examples: “focus:”, “Gtk:GtkWidget:button_press_event”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successfull, otherwise `FALSE`.